<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::AddressResolver Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/dcf/classThread_1_1AddressResolver.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d0/d63/classThread_1_1AddressResolver-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::AddressResolver Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d5/d21/group__core-arp.html">RLOC Mapping</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements the EID-to-RLOC mapping and caching.  
 <a href="../../d4/dcf/classThread_1_1AddressResolver.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d9/d2d/address__resolver_8hpp_source.html">src/core/thread/address_resolver.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a178438299a058ea03995b643ddd6aa72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a178438299a058ea03995b643ddd6aa72"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dcf/classThread_1_1AddressResolver.html#a178438299a058ea03995b643ddd6aa72">AddressResolver</a> (<a class="el" href="../../d3/d8e/classThread_1_1ThreadNetif.html">ThreadNetif</a> &amp;aThreadNetif)</td></tr>
<tr class="memdesc:a178438299a058ea03995b643ddd6aa72"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the object. <br /></td></tr>
<tr class="separator:a178438299a058ea03995b643ddd6aa72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9e813b464854994a8beda21d91c989c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9e813b464854994a8beda21d91c989c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dcf/classThread_1_1AddressResolver.html#af9e813b464854994a8beda21d91c989c">Clear</a> (void)</td></tr>
<tr class="memdesc:af9e813b464854994a8beda21d91c989c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the EID-to-RLOC cache. <br /></td></tr>
<tr class="separator:af9e813b464854994a8beda21d91c989c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa818018b3ba3f64d241090f52591ddb9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dcf/classThread_1_1AddressResolver.html#aa818018b3ba3f64d241090f52591ddb9">GetEntry</a> (uint8_t aIndex, <a class="el" href="../../d7/d52/structotEidCacheEntry.html">otEidCacheEntry</a> &amp;aEntry) const </td></tr>
<tr class="memdesc:aa818018b3ba3f64d241090f52591ddb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method gets an EID cache entry.  <a href="#aa818018b3ba3f64d241090f52591ddb9">More...</a><br /></td></tr>
<tr class="separator:aa818018b3ba3f64d241090f52591ddb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee9bd68079de5acd345ad154d54880c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dcf/classThread_1_1AddressResolver.html#adee9bd68079de5acd345ad154d54880c">Remove</a> (uint8_t aRouterId)</td></tr>
<tr class="memdesc:adee9bd68079de5acd345ad154d54880c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes a <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> ID from the EID-to-RLOC cache.  <a href="#adee9bd68079de5acd345ad154d54880c">More...</a><br /></td></tr>
<tr class="separator:adee9bd68079de5acd345ad154d54880c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac249179518a77ecfdaf7d4502ef2f940"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940">Resolve</a> (const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;aEid, <a class="el" href="../../df/d5c/group__core-mac.html#ga70635fe32761138510f029f3d4eb36b7">Mac::ShortAddress</a> &amp;aRloc16)</td></tr>
<tr class="memdesc:ac249179518a77ecfdaf7d4502ef2f940"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not known.  <a href="#ac249179518a77ecfdaf7d4502ef2f940">More...</a><br /></td></tr>
<tr class="separator:ac249179518a77ecfdaf7d4502ef2f940"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements the EID-to-RLOC mapping and caching. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aa818018b3ba3f64d241090f52591ddb9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::AddressResolver::GetEntry </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d52/structotEidCacheEntry.html">otEidCacheEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>aEntry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method gets an EID cache entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aIndex</td><td>An index into the EID cache table. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aEntry</td><td>A pointer to where the EID information is placed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully retrieved the EID cache entry. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aIndex</code> was out of bounds or <code>aEntry</code> was NULL. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dcf/classThread_1_1AddressResolver_aa818018b3ba3f64d241090f52591ddb9_icgraph.png" border="0" usemap="#d4/dcf/classThread_1_1AddressResolver_aa818018b3ba3f64d241090f52591ddb9_icgraph" alt=""/></div>
<map name="d4/dcf/classThread_1_1AddressResolver_aa818018b3ba3f64d241090f52591ddb9_icgraph" id="d4/dcf/classThread_1_1AddressResolver_aa818018b3ba3f64d241090f52591ddb9_icgraph">
<area shape="rect" id="node2" href="../../d8/dd2/group__diags.html#gaafdfd8410c9b317c4e0f1f4599a6aa1e" title="This function gets an EID cache entry. " alt="" coords="226,12,369,37"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="417,5,572,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="adee9bd68079de5acd345ad154d54880c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::AddressResolver::Remove </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aRouterId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method removes a <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> ID from the EID-to-RLOC cache. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aRouterId</td><td>The <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> ID. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dcf/classThread_1_1AddressResolver_adee9bd68079de5acd345ad154d54880c_icgraph.png" border="0" usemap="#d4/dcf/classThread_1_1AddressResolver_adee9bd68079de5acd345ad154d54880c_icgraph" alt=""/></div>
<map name="d4/dcf/classThread_1_1AddressResolver_adee9bd68079de5acd345ad154d54880c_icgraph" id="d4/dcf/classThread_1_1AddressResolver_adee9bd68079de5acd345ad154d54880c_icgraph">
<area shape="rect" id="node2" href="../../db/dec/group__core-mle-router.html#ga179fad5b4b75849e76811006761d2b3e" title="This method release a given Router ID. " alt="" coords="226,310,387,349"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="681,398,842,437"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1757,434,1918,473"/>
<area shape="rect" id="node3" href="../../db/d57/group__config-test.html#gad4fe54c65dbe7e37a29a7805198bba72" title="Release a Router ID that has been allocated by the device in the Leader role. " alt="" coords="2310,18,2443,44"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="435,278,597,317"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2794,200,2949,238"/>
<area shape="rect" id="node5" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2534,140,2726,178"/>
<area shape="rect" id="node6" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2774,137,2969,176"/>
<area shape="rect" id="node16" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="681,336,842,374"/>
<area shape="rect" id="node18" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="645,170,878,209"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="972,482,1136,521"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2022,462,2192,501"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1241,450,1406,489"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1253,513,1394,552"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2286,398,2467,424"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2544,405,2717,444"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2588,356,2672,381"/>
<area shape="rect" id="node17" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="926,336,1181,374"/>
<area shape="rect" id="node19" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2311,69,2442,94"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="966,170,1141,209"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1229,170,1418,209"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1466,276,1680,301"/>
<area shape="rect" id="node32" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1729,149,1946,188"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1742,212,1933,250"/>
<area shape="rect" id="node30" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1728,326,1948,352"/>
<area shape="rect" id="node24" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="2029,270,2185,296"/>
<area shape="rect" id="node26" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="2009,172,2205,197"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1996,221,2218,246"/>
<area shape="rect" id="node25" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2325,270,2428,296"/>
<area shape="rect" id="node27" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2311,172,2442,197"/>
<area shape="rect" id="node29" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2321,221,2432,246"/>
<area shape="rect" id="node31" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="2005,320,2209,358"/>
<area shape="rect" id="node33" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2266,121,2486,146"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac249179518a77ecfdaf7d4502ef2f940"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::AddressResolver::Resolve </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Ip6::Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aEid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/d5c/group__core-mac.html#ga70635fe32761138510f029f3d4eb36b7">Mac::ShortAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aRloc16</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not known. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aEid</td><td>A reference to the EID. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aRloc16</td><td>The RLOC16 corresponding to <code>aEid</code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kTheradError_None</td><td>Successfully provided the RLOC16. </td></tr>
    <tr><td class="paramname">kThreadError_AddressQuery</td><td>Initiated an Address Query. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/dcf/classThread_1_1AddressResolver_ac249179518a77ecfdaf7d4502ef2f940_icgraph.png" border="0" usemap="#d4/dcf/classThread_1_1AddressResolver_ac249179518a77ecfdaf7d4502ef2f940_icgraph" alt=""/></div>
<map name="d4/dcf/classThread_1_1AddressResolver_ac249179518a77ecfdaf7d4502ef2f940_icgraph" id="d4/dcf/classThread_1_1AddressResolver_ac249179518a77ecfdaf7d4502ef2f940_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="226,68,390,107"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="441,5,605,44"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="438,68,608,107"/>
<area shape="rect" id="node9" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="453,131,593,169"/>
<area shape="rect" id="node5" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="656,75,836,100"/>
<area shape="rect" id="node6" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="884,40,1058,79"/>
<area shape="rect" id="node7" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="929,103,1013,128"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1106,96,1261,135"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/thread/<a class="el" href="../../d9/d2d/address__resolver_8hpp_source.html">address_resolver.hpp</a></li>
<li>src/core/thread/<a class="el" href="../../de/d27/address__resolver_8cpp.html">address_resolver.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d4/dcf/classThread_1_1AddressResolver.html">AddressResolver</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
